function [result] = predictVfib(ecg_data1,ecg_data2,Fs)

    load 'vfibPredict_Model.mat'
    
    pred_result = [0 0];
    test_s = 1;
    
    for loop = 1:1:2
        
        if(loop == 1)
            ecg_data = ecg_data1;
        else
            ecg_data = ecg_data2;
        end
        
        [x_fv,tn] = get_fv1(ecg_data,Fs);

        flat = 0;
        
        if(tn==0)

            test_set = x_fv;

            [m_test,n_test] = size(test_set);
            test_f = m_test;
        else
            flat = 1;
        end

        if(~flat)
            test_len = test_f - test_s + 1;

            for i=1:1:n_test
                test_set(:,i) = (test_set(:,i) - mean_x(i))/(max_x(i) - min_x(i));
            end
            test_x = [ones(test_len,1) test_set];

            [svm_y,predict_score] = predict(svm_struct,test_x);
            pos = find(svm_y == 1);
            
            if(~isempty(find(predict_score(pos,1) < -1.3)))
                pred_result(1,loop) = 1;
                break;
    
            end
        end
        
        if(pred_result(1,loop) == 1)
            break;
        end
        
    end
    
    result = pred_result(1,1) || pred_result(1,2);
end